import { BaseProvider } from '#templates/base/provider';
import { UserSessionsDetailed } from '#models/UserSessionsDetailed';

export class UserSessionsDetailedProvider extends BaseProvider<UserSessionsDetailed> {
	public static instance: UserSessionsDetailedProvider;

	public static getInstance(): UserSessionsDetailedProvider {
		UserSessionsDetailedProvider.instance ??= new UserSessionsDetailedProvider();
		return UserSessionsDetailedProvider.instance;
	}

	public static get model() {
		return UserSessionsDetailed;
	}

	constructor() {
		super('UserSessionsDetailed');
	}
}
